<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>cn.axzo.infra</groupId>
        <artifactId>axzo-parent</artifactId>
        <version>2.4.13.4</version>
    </parent>

    <groupId>cn.axzo.msgcenter</groupId>
    <artifactId>msg-center</artifactId>
    <packaging>pom</packaging>
    <version>${revision}</version>
    <modules>
        <module>msg-center-api-v2</module>
        <module>wx-notices</module>
        <module>inside-notices</module>
        <module>msg-center-api</module>
        <module>msg-center-webapi</module>
        <module>msg-center-common</module>
        <module>msg-notices</module>
        <module>start</module>
        <module>msg-center-dal</module>
        <module>msg-center-domain</module>
    </modules>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <revision>1.0.0-SNAPSHOT</revision>
        <msg-center-api-version>1.0.1-SNAPSHOT</msg-center-api-version>
        <msg-center-api-v2-version>1.0.1-SNAPSHOT</msg-center-api-v2-version>
        <axzo-bom.version>2.0.0-SNAPSHOT</axzo-bom.version>
        <axzo-dependencies.version>2.0.1-SNAPSHOT</axzo-dependencies.version>
        <lombok.version>1.18.22</lombok.version>
        <binarywang.weixin-java.version>4.5.0</binarywang.weixin-java.version>
        <mapstruct.version>1.4.2.Final</mapstruct.version>
        <feign-httpclient.version>11.8</feign-httpclient.version>
        <jetbrains.version>26.0.0</jetbrains.version>
        <epic.version>1.0.0-SNAPSHOT</epic.version>
        <workflow.version>1.5.2-SNAPSHOT</workflow.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <!-- 导入axzo通用api依赖 -->
            <dependency>
                <groupId>cn.axzo.infra</groupId>
                <artifactId>axzo-bom</artifactId>
                <version>${axzo-bom.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>cn.axzo.infra</groupId>
                <artifactId>axzo-dependencies</artifactId>
                <version>${axzo-dependencies.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>com.github.binarywang</groupId>
                <artifactId>weixin-java-cp</artifactId>
                <version>${binarywang.weixin-java.version}</version>
            </dependency>
            <dependency>
                <groupId>com.github.binarywang</groupId>
                <artifactId>weixin-java-miniapp</artifactId>
                <version>${binarywang.weixin-java.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.axzo.msgcenter</groupId>
                <artifactId>msg-center-common</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.axzo.msgcenter</groupId>
                <artifactId>wx-notices</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.axzo.msgcenter</groupId>
                <artifactId>msg-center-webapi</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.axzo.msgcenter</groupId>
                <artifactId>msg-center-api</artifactId>
                <version>${msg-center-api-version}</version>
            </dependency>
            <dependency>
                <groupId>io.github.openfeign</groupId>
                <artifactId>feign-httpclient</artifactId>
                <version>${feign-httpclient.version}</version>
            </dependency>
            <dependency>
                <groupId>org.jetbrains</groupId>
                <artifactId>annotations</artifactId>
                <version>${jetbrains.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.axzo.msgcenter</groupId>
                <artifactId>msg-center-api-v2</artifactId>
                <version>${msg-center-api-v2-version}</version>
            </dependency>
            <dependency>
                <groupId>cn.axzo.workflow</groupId>
                <artifactId>workflow-engine-spring-boot-starter</artifactId>
                <version>${workflow.version}</version>
            </dependency>

            <dependency>
                <groupId>cn.axzo.meepo</groupId>
                <artifactId>meepo-api-definition</artifactId>
                <version>2.0.0-SNAPSHOT</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <dependencies>
        <dependency>
            <groupId>com.taobao.arthas</groupId>
            <artifactId>arthas-spring-boot-starter</artifactId>
            <version>3.7.1</version>
        </dependency>
        <!-- 子项目会直接继承的公共依赖 -->
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>cn.axzo.framework</groupId>
            <artifactId>axzo-test-spring-boot-starter</artifactId>
            <scope>test</scope>
        </dependency>
        <!-- IM -->
        <dependency>
            <groupId>cn.axzo.im.center</groupId>
            <artifactId>im-center-api</artifactId>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <!-- maven-compiler-plugin 插件，解决 Lombok + MapStruct 组合 -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <annotationProcessorPaths>
                        <path>
                            <groupId>org.projectlombok</groupId>
                            <artifactId>lombok</artifactId>
                            <version>${lombok.version}</version>
                        </path>
                        <path>
                            <groupId>org.mapstruct</groupId>
                            <artifactId>mapstruct-processor</artifactId>
                            <version>${mapstruct.version}</version>
                        </path>
                    </annotationProcessorPaths>
                </configuration>
            </plugin>
        </plugins>
    </build>
    <repositories>
        <repository>
            <id>axzo</id>
            <name>axzo repository</name>
            <url>https://nexus.axzo.cn/repository/axzo/</url>
        </repository>
    </repositories>

</project>